Optimistic-lock counter, incremented on every update. On PUT, echo back the value from the last GET/PUT response to detect if the expense was changed by someone else since it was read; a mismatch returns 409. Optional; omit to skip this check.
Date that the user has selected for the expense. For receipt expenses it is purchase date. For mileages it is travel date and for per diems it is the first travel date.
Indicates if the expense record can be merged with another expense record. Will only be true for expense records that are based on card transaction, has not been split and is editable by end user.
The expense-type-specific payload — receipt details, mileage details, per-diem details, or food-benefit details. Shape selected by the nested type discriminator.
The tip amount for the receipt, expressed as a non-negative decimal number in the receipt's currency. This is the canonical location for tip. For backwards compatibility the value is also mirrored on the deprecated representation.tip property.
Decoded fiscal QR string as sent in the qrScan request header on POST. Omitted when the resource has no QR data attached. Currently populated for Portuguese receipts.
Deprecated. Tip is now a root receipt verification property (tip). A non-negative decimal number in the receipt's currency. This property is kept for backwards compatibility and mirrors the root value.
Decoded fiscal QR string as sent in the qrScan request header on POST. Omitted when the resource has no QR data attached. Currently populated for Portuguese receipts.
Decoded fiscal QR string as sent in the qrScan request header on POST. Omitted when the resource has no QR data attached. Currently populated for Portuguese receipts.
{"docsConfig":{"theme":"luma","$schema":"https://mintlify.com/docs.json","name":"Findity Docs","colors":{"primary":"#012A2D","light":"#3FA9A5","dark":"#012A2D"},"logo":{"light":"https://mintcdn.com/findity-docs/fTsgC-3N_Y6D9oSZ/images/logo/light.avif?fit=max\u0026auto=format\u0026n=fTsgC-3N_Y6D9oSZ\u0026q=85\u0026s=b7bba7599b80f1ac5c6454a26179858b","dark":"https://mintcdn.com/findity-docs/fTsgC-3N_Y6D9oSZ/images/logo/dark.png?fit=max\u0026auto=format\u0026n=fTsgC-3N_Y6D9oSZ\u0026q=85\u0026s=c71abcb6039e30c762becf2a8475a335","href":"/"},"favicon":"https://mintcdn.com/findity-docs/fTsgC-3N_Y6D9oSZ/images/logo/favicon.jpeg?fit=max\u0026auto=format\u0026n=fTsgC-3N_Y6D9oSZ\u0026q=85\u0026s=b3050e03fc057e3744a2a9765f87aa39","api":{"params":{"expanded":"all"},"playground":{"display":"interactive","credentials":true},"examples":{"prefill":true}},"appearance":{"default":"light","strict":true},"navbar":{"links":[]},"seo":{"metatags":{"robots":"noindex"}},"fonts":{"heading":{"family":"Montserrat","format":"woff2"}},"styling":{"eyebrows":"breadcrumbs","codeblocks":"system","latex":false},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","assistant","add-mcp","vscode"],"display":"toc"},"metadata":{"timestamp":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"findity-docs","hasAudioNarration":false,"actualSubdomain":"findity-docs","customDomains":["developer.findity.com"],"gitSource":{"type":"gitlab","owner":"findity/ce","repo":"api-documentation","deployBranch":"main","contentDirectory":"api-docs","isPrivate":true,"projectId":85772420,"mountPath":"","label":""},"chroma":{"latestBuiltDeploymentHistoryId":"6ad8893a16c2cdd7c8e5e552","collectionId":"92cc9cd2-242a-4778-95e3-7abe65c887cb","liveDeploymentHistoryId":"6ad8893a16c2cdd7c8e5e552","schemaVersion":"v3"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ad8893a16c2cdd7c8e5e552","clientVersion":"0.0.4006","searchFilterCounts":[{"language":"default","tag":"API Reference","count":255},{"language":"default","tag":"Findity Admin API","count":102},{"language":"default","tag":"Findity Expense API","count":88},{"language":"default","tag":"Guides","count":53},{"language":"default","tag":"Findity Admin API V0","count":52},{"language":"default","tag":"Organizations","count":51},{"language":"default","tag":"Dimensions","count":21},{"language":"default","tag":"Expense Reports","count":18},{"language":"default","tag":"User","count":16},{"language":"default","tag":"Carbon emissions","count":15}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":true,"enableContextualStarterQuestions":true,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":true},"customCss":[{"filePath":"styles.css","content":".tabs{margin-top:20px;border:1px solid rgb(var(--default-border-color));padding:2px 6px 6px;border-radius:4px}#sidebar,#sidebar-content{width:20rem!important;max-width:20rem!important;min-width:20rem!important}#body-content{grid-template-columns:20rem 1fr!important}ul[role=tablist][data-component-part=tabs-list]{flex-wrap:wrap;overflow:visible;row-gap:.5rem}.mdx-content .frame img{max-height:700px}#chat-assistant-textarea,.chat-assistant-input{color:#012a2d!important}#chat-assistant-textarea::placeholder,.chat-assistant-input::placeholder{color:#012a2d!important;opacity:1}"}],"page":{"pagePath":"reference/expense/expenses/get-expense","slug":"/reference/expense/expenses/get-expense","pageMetadata":{"title":"Get expense","description":"Fetch one and only one expense for a user.","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /expenses/{expenseId}","href":"/reference/expense/expenses/get-expense","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Fetch one and only one expense for a user.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"title":"Get expense","description":"Fetch one and only one expense for a user.","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /expenses/{expenseId}","href":"/reference/expense/expenses/get-expense","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Get expense","description":"Fetch one and only one expense for a user.","operationId":"getExpense","tags":["Expenses"],"parameters":["f22b92f3-9c1d-4e47-a1e8-d1e6e27d3985","8f2fce1c-e7dc-4b6b-9806-53da8902eb2b"],"responses":{"200":"dede6dbb-f812-4a7a-b0e5-118ca30f9abd","404":"c52cc476-9f80-47ab-9085-166cc385b43a"},"method":"get","type":"path","servers":["d6568a86-8837-4756-956e-1616c34c43a2","38d88776-4fa9-431b-a6f0-3d4a981f183e"],"security":["c0bc5639-55e7-4b25-aae7-bb1c2c441da1"],"path":"/expenses/{expenseId}","baseUrlOptions":["https://stage-api.findity.com/api/v1/expense","https://api.findity.com/api/v1/expense"],"title":"Get expense","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[],"withCredentials":true},"dependencies":{"parameters":{"f22b92f3-9c1d-4e47-a1e8-d1e6e27d3985":{"in":"path","name":"expenseId","required":true,"description":"The id of the expense to retrieve","schema":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"The id of the expense to retrieve\nUUID without dashes (32-character hex string)","isRequired":true,"uniqueKey":"","typeLabel":"string"},"example":"da35f675f40e47bcae2fff3c43a94c73"},"8f2fce1c-e7dc-4b6b-9806-53da8902eb2b":{"name":"include","in":"query","description":"optional properties to include","required":false,"schema":{"type":"array","items":{"type":"string","enum":["verification","meta.abbreviation","meta.abbreviation.labels","meta.person","meta.capabilities","meta.cardTransaction","meta.splits","validationErrors"],"uniqueKey":"items.[INDEX]","typeLabel":"enum\u003cstring>"},"isRequired":false,"description":"optional properties to include","uniqueKey":"","typeLabel":"enum\u003cstring>[]"}}},"responses":{"dede6dbb-f812-4a7a-b0e5-118ca30f9abd":{"description":"OK","content":{"application/json":{"schema":{"type":"object","description":"ExpenseRecord format","properties":{"id":{"type":"string","readOnly":true,"uniqueKey":"id","typeLabel":"string"},"status":{"type":"string","enum":["NEW","NORMAL","APPROVAL","APPROVED","REJECTED"],"readOnly":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"personId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","readOnly":true,"uniqueKey":"personId","typeLabel":"string"},"dateCreated":{"type":"string","readOnly":true,"uniqueKey":"dateCreated","typeLabel":"string"},"lastUpdated":{"type":"string","readOnly":true,"uniqueKey":"lastUpdated","typeLabel":"string"},"version":{"type":"integer","format":"int64","description":"Optimistic-lock counter, incremented on every update. On PUT, echo back the value from the last GET/PUT response to detect if the expense was changed by someone else since it was read; a mismatch returns 409. Optional; omit to skip this check.","uniqueKey":"version","typeLabel":"integer\u003cint64>"},"expenseDate":{"type":"string","readOnly":true,"description":"Date that the user has selected for the expense. For receipt expenses it is purchase date. For mileages it is travel date and for per diems it is the first travel date.","uniqueKey":"expenseDate","typeLabel":"string"},"organizationId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"organizationId","typeLabel":"string"},"categoryId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"categoryId","typeLabel":"string"},"rejectComment":{"type":"string","readOnly":true,"uniqueKey":"rejectComment","typeLabel":"string"},"reimbursement":{"type":"number","readOnly":true,"uniqueKey":"reimbursement","typeLabel":"number"},"reimbursementCurrency":{"type":"string","readOnly":true,"uniqueKey":"reimbursementCurrency","typeLabel":"string"},"meta":{"type":"object","readOnly":true,"properties":{"categoryIconUrl":{"type":"string","example":"https://expense.findity.com/api/resources/8a5f867e9b204742a8cc2ca2b6c57358","uniqueKey":"meta.categoryIconUrl","typeLabel":"string"},"person":{"type":"object","properties":{"firstName":{"type":"string","example":"Anna","uniqueKey":"meta.person.firstName","typeLabel":"string"},"lastName":{"type":"string","example":"Andersson","uniqueKey":"meta.person.lastName","typeLabel":"string"},"email":{"type":"string","example":"anna.andersson@example.com","uniqueKey":"meta.person.email","typeLabel":"string"}},"uniqueKey":"meta.person","typeLabel":"object"},"abbreviation":{"oneOf":[{"type":"object","properties":{"iconUrl":{"type":"string","example":"https://expense.findity.com/api/resources/ba479b6fe32f4d5e87e6dda1e02e850b","uniqueKey":"meta.abbreviation.oneOf.0.iconUrl","typeLabel":"string"},"dateDescription":{"type":"string","example":"June 2, 2023","description":"Date formatted according to users locale","uniqueKey":"meta.abbreviation.oneOf.0.dateDescription","typeLabel":"string"},"sortDescription":{"type":"string","example":"June 1, 2023","description":"Description of the value used for sorting","uniqueKey":"meta.abbreviation.oneOf.0.sortDescription","typeLabel":"string"},"userDescription":{"type":"string","example":"Pens and erasers","uniqueKey":"meta.abbreviation.oneOf.0.userDescription","typeLabel":"string"},"expenseDescription":{"type":"string","example":"Office supplies","description":"Description which contains the name of category","uniqueKey":"meta.abbreviation.oneOf.0.expenseDescription","typeLabel":"string"},"reimbursementDescription":{"type":"string","example":"44.5 SEK","description":"Reimbursement amount and currency formatted according to users locale","uniqueKey":"meta.abbreviation.oneOf.0.reimbursementDescription","typeLabel":"string"},"totalReimbursementDescription":{"type":"string","example":"44.5 SEK","description":"Total reimbursement amount and currency formatted according to users locale, only included if requesting meta.splits and the expense is the parent","uniqueKey":"meta.abbreviation.oneOf.0.totalReimbursementDescription","typeLabel":"string"},"alert":{"type":"boolean","description":"If the report is rejected or contains expenses that has validation errors","uniqueKey":"meta.abbreviation.oneOf.0.alert","typeLabel":"boolean"},"isComplete":{"type":"boolean","description":"If the expense is complete and ready to be sent, can contain warnings.","uniqueKey":"meta.abbreviation.oneOf.0.isComplete","typeLabel":"boolean"},"expenseType":{"type":"string","example":"ReceiptVerification","uniqueKey":"meta.abbreviation.oneOf.0.expenseType","typeLabel":"string"},"expenseTypeDescription":{"type":"string","description":"description of expenseType property translated to the users language","uniqueKey":"meta.abbreviation.oneOf.0.expenseTypeDescription","typeLabel":"string"}},"uniqueKey":"meta.abbreviation.oneOf.0","typeLabel":"object"},{"type":"object","properties":{"iconUrl":{"type":"string","example":"https://expense.findity.com/api/resources/ba479b6fe32f4d5e87e6dda1e02e850b","uniqueKey":"meta.abbreviation.oneOf.1.iconUrl","typeLabel":"string"},"dateDescription":{"type":"string","example":"June 2, 2023","description":"Date formatted according to users locale","uniqueKey":"meta.abbreviation.oneOf.1.dateDescription","typeLabel":"string"},"sortDescription":{"type":"string","example":"June 1, 2023","description":"Description of the value used for sorting","uniqueKey":"meta.abbreviation.oneOf.1.sortDescription","typeLabel":"string"},"userDescription":{"type":"string","example":"Trip to Ludvika","uniqueKey":"meta.abbreviation.oneOf.1.userDescription","typeLabel":"string"},"expenseDescription":{"type":"string","example":"Mileage - 273.0 km","description":"Description which contains the name of category","uniqueKey":"meta.abbreviation.oneOf.1.expenseDescription","typeLabel":"string"},"alert":{"type":"boolean","description":"If the report is rejected or contains expenses that has validation errors","uniqueKey":"meta.abbreviation.oneOf.1.alert","typeLabel":"boolean"},"isComplete":{"type":"boolean","description":"If the expense is complete and ready to be sent, can contain warnings.","uniqueKey":"meta.abbreviation.oneOf.1.isComplete","typeLabel":"boolean"},"expenseType":{"type":"string","example":"CarSpecification","uniqueKey":"meta.abbreviation.oneOf.1.expenseType","typeLabel":"string"},"expenseTypeDescription":{"type":"string","description":"description of expenseType property translated in the specific language","uniqueKey":"meta.abbreviation.oneOf.1.expenseTypeDescription","typeLabel":"string"}},"uniqueKey":"meta.abbreviation.oneOf.1","typeLabel":"object"},{"type":"object","properties":{"iconUrl":{"type":"string","example":"https://expense.findity.com/api/resources/ba479b6fe32f4d5e87e6dda1e02e850b","uniqueKey":"meta.abbreviation.oneOf.2.iconUrl","typeLabel":"string"},"dateDescription":{"type":"string","example":"June 2, 2023","description":"Date formatted according to users locale","uniqueKey":"meta.abbreviation.oneOf.2.dateDescription","typeLabel":"string"},"sortDescription":{"type":"string","example":"June 1, 2023","description":"Description of the value used for sorting","uniqueKey":"meta.abbreviation.oneOf.2.sortDescription","typeLabel":"string"},"userDescription":{"type":"string","example":"Trip to Stockholm","uniqueKey":"meta.abbreviation.oneOf.2.userDescription","typeLabel":"string"},"expenseDescription":{"type":"string","example":"Domestic Subsistence Allowance","description":"Description which contains the name of category","uniqueKey":"meta.abbreviation.oneOf.2.expenseDescription","typeLabel":"string"},"alert":{"type":"boolean","description":"If the report is rejected or contains expenses that has validation errors","uniqueKey":"meta.abbreviation.oneOf.2.alert","typeLabel":"boolean"},"isComplete":{"type":"boolean","description":"If the expense is complete and ready to be sent, can contain warnings.","uniqueKey":"meta.abbreviation.oneOf.2.isComplete","typeLabel":"boolean"},"expenseType":{"type":"string","example":"SubsistenceAllowance","uniqueKey":"meta.abbreviation.oneOf.2.expenseType","typeLabel":"string"},"expenseTypeDescription":{"type":"string","description":"description of expenseType property translated to the users language","uniqueKey":"meta.abbreviation.oneOf.2.expenseTypeDescription","typeLabel":"string"}},"uniqueKey":"meta.abbreviation.oneOf.2","typeLabel":"object"},{"type":"object","properties":{"iconUrl":{"type":"string","example":"https://expense.findity.com/api/resources/ba479b6fe32f4d5e87e6dda1e02e850b","uniqueKey":"meta.abbreviation.oneOf.3.iconUrl","typeLabel":"string"},"dateDescription":{"type":"string","example":"June 2, 2023","description":"Date formatted according to users locale","uniqueKey":"meta.abbreviation.oneOf.3.dateDescription","typeLabel":"string"},"sortDescription":{"type":"string","example":"June 1, 2023","description":"Description of the value used for sorting","uniqueKey":"meta.abbreviation.oneOf.3.sortDescription","typeLabel":"string"},"userDescription":{"type":"string","example":"Food benefit","uniqueKey":"meta.abbreviation.oneOf.3.userDescription","typeLabel":"string"},"expenseDescription":{"type":"string","example":"Food Benefits Specification","description":"Description which contains the name of category","uniqueKey":"meta.abbreviation.oneOf.3.expenseDescription","typeLabel":"string"},"alert":{"type":"boolean","description":"If the report is rejected or contains expenses that has validation errors","uniqueKey":"meta.abbreviation.oneOf.3.alert","typeLabel":"boolean"},"isComplete":{"type":"boolean","description":"If the expense is complete and ready to be sent, can contain warnings.","uniqueKey":"meta.abbreviation.oneOf.3.isComplete","typeLabel":"boolean"},"expenseType":{"type":"string","example":"FoodBenefitsSpecification","uniqueKey":"meta.abbreviation.oneOf.3.expenseType","typeLabel":"string"},"expenseTypeDescription":{"type":"string","description":"description of expenseType property translated to the users language","uniqueKey":"meta.abbreviation.oneOf.3.expenseTypeDescription","typeLabel":"string"}},"uniqueKey":"meta.abbreviation.oneOf.3","typeLabel":"object"}],"uniqueKey":"meta.abbreviation","typeLabel":"object"},"capabilities":{"type":"object","properties":{"canBeAddedToReport":{"type":"boolean","description":"Indicates if the expense record can be added to a report","example":false,"uniqueKey":"meta.capabilities.canBeAddedToReport","typeLabel":"boolean"},"canBeRemovedFromReport":{"type":"boolean","description":"Indicates if the expense record can be removed from a report","example":false,"uniqueKey":"meta.capabilities.canBeRemovedFromReport","typeLabel":"boolean"},"canBeDeleted":{"type":"boolean","description":"Indicates if the expense record can be deleted","example":true,"uniqueKey":"meta.capabilities.canBeDeleted","typeLabel":"boolean"},"canBeSentIn":{"type":"boolean","example":true,"description":"true if the expense record can be sent in directly without report","uniqueKey":"meta.capabilities.canBeSentIn","typeLabel":"boolean"},"canBeSplit":{"type":"boolean","description":"Indicates if the expense record can be split","example":false,"uniqueKey":"meta.capabilities.canBeSplit","typeLabel":"boolean"},"canBeEdited":{"type":"boolean","description":"Indicates if the expense record can be edited","example":true,"uniqueKey":"meta.capabilities.canBeEdited","typeLabel":"boolean"},"canBeMerged":{"type":"boolean","description":"Indicates if the expense record can be merged with another expense record. Will only be true for expense records that are based on card transaction, has not been split and is editable by end user.","example":false,"uniqueKey":"meta.capabilities.canBeMerged","typeLabel":"boolean"},"canAddBreakfast":{"type":"boolean","description":"ONLY PART OF FoodBenefitsSpecifications! Indicates if breakfast is available for meal benefits.","example":false,"uniqueKey":"meta.capabilities.canAddBreakfast","typeLabel":"boolean"},"canAddLunch":{"type":"boolean","description":"ONLY PART OF FoodBenefitsSpecifications! Indicates if lunch is available for meal benefits.","example":false,"uniqueKey":"meta.capabilities.canAddLunch","typeLabel":"boolean"},"canAddDinner":{"type":"boolean","description":"ONLY PART OF FoodBenefitsSpecifications! Indicates if dinner is available for meal benefits.","example":false,"uniqueKey":"meta.capabilities.canAddDinner","typeLabel":"boolean"}},"uniqueKey":"meta.capabilities","typeLabel":"object"},"cardTransaction":{"type":"object","properties":{"id":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","example":"4a17f93476ce4bf2832236be26743853","uniqueKey":"meta.cardTransaction.id","typeLabel":"string"},"amount":{"type":"number","format":"double","example":120,"uniqueKey":"meta.cardTransaction.amount","typeLabel":"number\u003cdouble>"},"name":{"type":"string","example":"Bank name","uniqueKey":"meta.cardTransaction.name","typeLabel":"string"},"cardNumber":{"type":"string","example":"xxxxxxxxxxxx1234","uniqueKey":"meta.cardTransaction.cardNumber","typeLabel":"string"}},"uniqueKey":"meta.cardTransaction","typeLabel":"object"}},"uniqueKey":"meta","typeLabel":"object"},"verification":{"oneOf":[{"type":"object","description":"The expense-type-specific payload — receipt details, mileage details, per-diem details, or food-benefit details. Shape selected by the nested `type` discriminator.","properties":{"id":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","readOnly":true,"uniqueKey":"verification.oneOf.0.id","typeLabel":"string"},"reimbursement":{"type":"number","uniqueKey":"verification.oneOf.0.reimbursement","typeLabel":"number"},"comment":{"type":"string","uniqueKey":"verification.oneOf.0.comment","typeLabel":"string"},"type":{"type":"string","enum":["ReceiptVerification"],"uniqueKey":"verification.oneOf.0.type","typeLabel":"enum\u003cstring>"},"amount":{"type":"number","uniqueKey":"verification.oneOf.0.amount","typeLabel":"number"},"taxAmount":{"type":"number","uniqueKey":"verification.oneOf.0.taxAmount","typeLabel":"number"},"tip":{"type":"number","format":"double","minimum":0,"description":"The tip amount for the receipt, expressed as a non-negative decimal number in the receipt's currency. This is the canonical location for tip. For backwards compatibility the value is also mirrored on the deprecated `representation.tip` property.\n","uniqueKey":"verification.oneOf.0.tip","typeLabel":"number\u003cdouble>"},"exchangeRate":{"type":"number","uniqueKey":"verification.oneOf.0.exchangeRate","typeLabel":"number"},"currency":{"type":"string","uniqueKey":"verification.oneOf.0.currency","typeLabel":"string"},"description":{"type":"string","uniqueKey":"verification.oneOf.0.description","typeLabel":"string"},"purchaseDate":{"type":"string","format":"date-time","uniqueKey":"verification.oneOf.0.purchaseDate","typeLabel":"string\u003cdate-time>"},"dateCreated":{"type":"string","uniqueKey":"verification.oneOf.0.dateCreated","typeLabel":"string"},"lastUpdated":{"type":"string","uniqueKey":"verification.oneOf.0.lastUpdated","typeLabel":"string"},"storeName":{"type":"string","uniqueKey":"verification.oneOf.0.storeName","typeLabel":"string"},"verificationNumber":{"type":"string","uniqueKey":"verification.oneOf.0.verificationNumber","typeLabel":"string"},"paymentTypeId":{"type":"string","uniqueKey":"verification.oneOf.0.paymentTypeId","typeLabel":"string"},"cardTransactionId":{"type":"string","uniqueKey":"verification.oneOf.0.cardTransactionId","typeLabel":"string"},"eventType":{"type":"string","enum":["AUTHORIZATION_ACCEPTED","AUTHORIZATION_REJECTED","AUTHORIZATION_REVERSAL","CAPTURE","REFUND"],"uniqueKey":"verification.oneOf.0.eventType","typeLabel":"enum\u003cstring>"},"receiptAttachment":{"type":"object","properties":{"id":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.0.receiptAttachment.id","typeLabel":"string"},"personId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.0.receiptAttachment.personId","typeLabel":"string"},"contentType":{"type":"string","uniqueKey":"verification.oneOf.0.receiptAttachment.contentType","typeLabel":"string"},"isTemporary":{"type":"boolean","uniqueKey":"verification.oneOf.0.receiptAttachment.isTemporary","typeLabel":"boolean"},"signatureType":{"type":"string","enum":["EU"],"uniqueKey":"verification.oneOf.0.receiptAttachment.signatureType","typeLabel":"enum\u003cstring>"},"signatureUrl":{"type":"string","uniqueKey":"verification.oneOf.0.receiptAttachment.signatureUrl","typeLabel":"string"},"name":{"type":"string","uniqueKey":"verification.oneOf.0.receiptAttachment.name","typeLabel":"string"},"description":{"type":"string","uniqueKey":"verification.oneOf.0.receiptAttachment.description","typeLabel":"string"},"qrScan":{"type":"string","description":"Decoded fiscal QR string as sent in the `qrScan` request header on POST. Omitted when the resource has no QR data attached. Currently populated for Portuguese receipts.","uniqueKey":"verification.oneOf.0.receiptAttachment.qrScan","typeLabel":"string"},"scanResult":{"type":"object","readOnly":true,"properties":{"id":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.0.receiptAttachment.scanResult.id","typeLabel":"string"},"amount":{"type":"number","format":"double","uniqueKey":"verification.oneOf.0.receiptAttachment.scanResult.amount","typeLabel":"number\u003cdouble>"},"taxAmount":{"type":"number","format":"double","uniqueKey":"verification.oneOf.0.receiptAttachment.scanResult.taxAmount","typeLabel":"number\u003cdouble>"},"currency":{"type":"string","uniqueKey":"verification.oneOf.0.receiptAttachment.scanResult.currency","typeLabel":"string"},"purchaseDate":{"type":"string","uniqueKey":"verification.oneOf.0.receiptAttachment.scanResult.purchaseDate","typeLabel":"string"},"categoryIds":{"type":"array","items":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.0.receiptAttachment.scanResult.categoryIds.items.[INDEX]","typeLabel":"string"},"uniqueKey":"verification.oneOf.0.receiptAttachment.scanResult.categoryIds","typeLabel":"string[]"},"categoryId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.0.receiptAttachment.scanResult.categoryId","typeLabel":"string"}},"uniqueKey":"verification.oneOf.0.receiptAttachment.scanResult","typeLabel":"object"}},"example":{"id":"62bfaa54dc9341819cd6f4ff4ae39f44","personId":"063ee3c7fa4b4728b418097299447f9d","contentType":"application/pdf","isTemporary":true,"signatureType":null,"signatureUrl":null,"name":"receipt-photo.jpg","description":"Receipt photo","qrScan":"A:514482621*B:501878076*C:PT*D:FR*E:N*F:20260508*G:111 26A/154*H:J6Z9V4MR-154*I1:PT-MA*I7:68.50*I8:15.76*N:15.76*O:84.26*Q:T4Fn*R:116","scanResult":{"id":"a185160800524ac68cbf0a18ad59649b","amount":135,"taxAmount":23,"currency":"SEK","purchaseDate":"2023-04-20","categoryIds":["575ba2572de74f38b947a07df93a2909","350dadb020694421aebc1d9473fa64a9"],"categoryId":"575ba2572de74f38b947a07df93a2909"}},"uniqueKey":"verification.oneOf.0.receiptAttachment","typeLabel":"object"},"representation":{"type":"object","properties":{"type":{"type":"string","uniqueKey":"verification.oneOf.0.representation.type","typeLabel":"string"},"guestListAttached":{"type":"boolean","default":false,"uniqueKey":"verification.oneOf.0.representation.guestListAttached","typeLabel":"boolean"},"includesLiquor":{"type":"boolean","default":false,"uniqueKey":"verification.oneOf.0.representation.includesLiquor","typeLabel":"boolean"},"numberOfGuests":{"type":"integer","uniqueKey":"verification.oneOf.0.representation.numberOfGuests","typeLabel":"integer"},"numberOfExternalGuests":{"type":"integer","uniqueKey":"verification.oneOf.0.representation.numberOfExternalGuests","typeLabel":"integer"},"place":{"type":"string","uniqueKey":"verification.oneOf.0.representation.place","typeLabel":"string"},"tip":{"type":"number","format":"double","minimum":0,"deprecated":true,"description":"Deprecated. Tip is now a root receipt verification property (`tip`). A non-negative decimal number in the receipt's currency. This property is kept for backwards compatibility and mirrors the root value.\n","uniqueKey":"verification.oneOf.0.representation.tip","typeLabel":"number\u003cdouble>"},"guestListAttachment":{"type":"object","properties":{"id":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.0.representation.guestListAttachment.id","typeLabel":"string"},"personId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.0.representation.guestListAttachment.personId","typeLabel":"string"},"contentType":{"type":"string","uniqueKey":"verification.oneOf.0.representation.guestListAttachment.contentType","typeLabel":"string"},"isTemporary":{"type":"boolean","uniqueKey":"verification.oneOf.0.representation.guestListAttachment.isTemporary","typeLabel":"boolean"},"signatureType":{"type":"string","enum":["EU"],"uniqueKey":"verification.oneOf.0.representation.guestListAttachment.signatureType","typeLabel":"enum\u003cstring>"},"signatureUrl":{"type":"string","uniqueKey":"verification.oneOf.0.representation.guestListAttachment.signatureUrl","typeLabel":"string"},"name":{"type":"string","uniqueKey":"verification.oneOf.0.representation.guestListAttachment.name","typeLabel":"string"},"description":{"type":"string","uniqueKey":"verification.oneOf.0.representation.guestListAttachment.description","typeLabel":"string"},"qrScan":{"type":"string","description":"Decoded fiscal QR string as sent in the `qrScan` request header on POST. Omitted when the resource has no QR data attached. Currently populated for Portuguese receipts.","uniqueKey":"verification.oneOf.0.representation.guestListAttachment.qrScan","typeLabel":"string"},"scanResult":{"type":"object","readOnly":true,"properties":{"id":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.0.representation.guestListAttachment.scanResult.id","typeLabel":"string"},"amount":{"type":"number","format":"double","uniqueKey":"verification.oneOf.0.representation.guestListAttachment.scanResult.amount","typeLabel":"number\u003cdouble>"},"taxAmount":{"type":"number","format":"double","uniqueKey":"verification.oneOf.0.representation.guestListAttachment.scanResult.taxAmount","typeLabel":"number\u003cdouble>"},"currency":{"type":"string","uniqueKey":"verification.oneOf.0.representation.guestListAttachment.scanResult.currency","typeLabel":"string"},"purchaseDate":{"type":"string","uniqueKey":"verification.oneOf.0.representation.guestListAttachment.scanResult.purchaseDate","typeLabel":"string"},"categoryIds":{"type":"array","items":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.0.representation.guestListAttachment.scanResult.categoryIds.items.[INDEX]","typeLabel":"string"},"uniqueKey":"verification.oneOf.0.representation.guestListAttachment.scanResult.categoryIds","typeLabel":"string[]"},"categoryId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.0.representation.guestListAttachment.scanResult.categoryId","typeLabel":"string"}},"uniqueKey":"verification.oneOf.0.representation.guestListAttachment.scanResult","typeLabel":"object"}},"example":{"id":"62bfaa54dc9341819cd6f4ff4ae39f44","personId":"063ee3c7fa4b4728b418097299447f9d","contentType":"application/pdf","isTemporary":true,"signatureType":null,"signatureUrl":null,"name":"receipt-photo.jpg","description":"Receipt photo","qrScan":"A:514482621*B:501878076*C:PT*D:FR*E:N*F:20260508*G:111 26A/154*H:J6Z9V4MR-154*I1:PT-MA*I7:68.50*I8:15.76*N:15.76*O:84.26*Q:T4Fn*R:116","scanResult":{"id":"a185160800524ac68cbf0a18ad59649b","amount":135,"taxAmount":23,"currency":"SEK","purchaseDate":"2023-04-20","categoryIds":["575ba2572de74f38b947a07df93a2909","350dadb020694421aebc1d9473fa64a9"],"categoryId":"575ba2572de74f38b947a07df93a2909"}},"uniqueKey":"verification.oneOf.0.representation.guestListAttachment","typeLabel":"object"},"guests":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","uniqueKey":"verification.oneOf.0.representation.guests.items.[INDEX].name","typeLabel":"string"},"company":{"type":"string","uniqueKey":"verification.oneOf.0.representation.guests.items.[INDEX].company","typeLabel":"string"}},"uniqueKey":"verification.oneOf.0.representation.guests.items.[INDEX]","typeLabel":"object"},"uniqueKey":"verification.oneOf.0.representation.guests","typeLabel":"object[]"}},"uniqueKey":"verification.oneOf.0.representation","typeLabel":"object"},"attachments":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.0.attachments.items.[INDEX].id","typeLabel":"string"},"personId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.0.attachments.items.[INDEX].personId","typeLabel":"string"},"contentType":{"type":"string","uniqueKey":"verification.oneOf.0.attachments.items.[INDEX].contentType","typeLabel":"string"},"isTemporary":{"type":"boolean","uniqueKey":"verification.oneOf.0.attachments.items.[INDEX].isTemporary","typeLabel":"boolean"},"signatureType":{"type":"string","enum":["EU"],"uniqueKey":"verification.oneOf.0.attachments.items.[INDEX].signatureType","typeLabel":"enum\u003cstring>"},"signatureUrl":{"type":"string","uniqueKey":"verification.oneOf.0.attachments.items.[INDEX].signatureUrl","typeLabel":"string"},"name":{"type":"string","uniqueKey":"verification.oneOf.0.attachments.items.[INDEX].name","typeLabel":"string"},"description":{"type":"string","uniqueKey":"verification.oneOf.0.attachments.items.[INDEX].description","typeLabel":"string"},"qrScan":{"type":"string","description":"Decoded fiscal QR string as sent in the `qrScan` request header on POST. Omitted when the resource has no QR data attached. Currently populated for Portuguese receipts.","uniqueKey":"verification.oneOf.0.attachments.items.[INDEX].qrScan","typeLabel":"string"},"scanResult":{"type":"object","readOnly":true,"properties":{"id":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.0.attachments.items.[INDEX].scanResult.id","typeLabel":"string"},"amount":{"type":"number","format":"double","uniqueKey":"verification.oneOf.0.attachments.items.[INDEX].scanResult.amount","typeLabel":"number\u003cdouble>"},"taxAmount":{"type":"number","format":"double","uniqueKey":"verification.oneOf.0.attachments.items.[INDEX].scanResult.taxAmount","typeLabel":"number\u003cdouble>"},"currency":{"type":"string","uniqueKey":"verification.oneOf.0.attachments.items.[INDEX].scanResult.currency","typeLabel":"string"},"purchaseDate":{"type":"string","uniqueKey":"verification.oneOf.0.attachments.items.[INDEX].scanResult.purchaseDate","typeLabel":"string"},"categoryIds":{"type":"array","items":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.0.attachments.items.[INDEX].scanResult.categoryIds.items.[INDEX]","typeLabel":"string"},"uniqueKey":"verification.oneOf.0.attachments.items.[INDEX].scanResult.categoryIds","typeLabel":"string[]"},"categoryId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.0.attachments.items.[INDEX].scanResult.categoryId","typeLabel":"string"}},"uniqueKey":"verification.oneOf.0.attachments.items.[INDEX].scanResult","typeLabel":"object"}},"example":{"id":"62bfaa54dc9341819cd6f4ff4ae39f44","personId":"063ee3c7fa4b4728b418097299447f9d","contentType":"application/pdf","isTemporary":true,"signatureType":null,"signatureUrl":null,"name":"receipt-photo.jpg","description":"Receipt photo","qrScan":"A:514482621*B:501878076*C:PT*D:FR*E:N*F:20260508*G:111 26A/154*H:J6Z9V4MR-154*I1:PT-MA*I7:68.50*I8:15.76*N:15.76*O:84.26*Q:T4Fn*R:116","scanResult":{"id":"a185160800524ac68cbf0a18ad59649b","amount":135,"taxAmount":23,"currency":"SEK","purchaseDate":"2023-04-20","categoryIds":["575ba2572de74f38b947a07df93a2909","350dadb020694421aebc1d9473fa64a9"],"categoryId":"575ba2572de74f38b947a07df93a2909"}},"uniqueKey":"verification.oneOf.0.attachments.items.[INDEX]","typeLabel":"object"},"uniqueKey":"verification.oneOf.0.attachments","typeLabel":"object[]"},"customFields":{"type":"array","items":{"type":"object","properties":{"fieldDefinitionId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.0.customFields.items.[INDEX].fieldDefinitionId","typeLabel":"string"},"value":{"description":"Can be: string, number, integer, date, boolean","uniqueKey":"verification.oneOf.0.customFields.items.[INDEX].value","typeLabel":"any"}},"uniqueKey":"verification.oneOf.0.customFields.items.[INDEX]","typeLabel":"object"},"uniqueKey":"verification.oneOf.0.customFields","typeLabel":"object[]"},"taxRates":{"type":"array","items":{"type":"object","properties":{"taxRateId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.0.taxRates.items.[INDEX].taxRateId","typeLabel":"string"},"rate":{"type":"number","format":"double","uniqueKey":"verification.oneOf.0.taxRates.items.[INDEX].rate","typeLabel":"number\u003cdouble>"},"taxAmount":{"type":"number","format":"double","uniqueKey":"verification.oneOf.0.taxRates.items.[INDEX].taxAmount","typeLabel":"number\u003cdouble>"}},"uniqueKey":"verification.oneOf.0.taxRates.items.[INDEX]","typeLabel":"object"},"uniqueKey":"verification.oneOf.0.taxRates","typeLabel":"object[]"}},"uniqueKey":"verification.oneOf.0","typeLabel":"object"},{"type":"object","description":"The expense-type-specific payload — receipt details, mileage details, per-diem details, or food-benefit details. Shape selected by the nested `type` discriminator.","properties":{"id":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","readOnly":true,"uniqueKey":"verification.oneOf.1.id","typeLabel":"string"},"reimbursement":{"type":"number","uniqueKey":"verification.oneOf.1.reimbursement","typeLabel":"number"},"comment":{"type":"string","uniqueKey":"verification.oneOf.1.comment","typeLabel":"string"},"type":{"type":"string","enum":["CarSpecification"],"uniqueKey":"verification.oneOf.1.type","typeLabel":"enum\u003cstring>"},"distance":{"type":"number","uniqueKey":"verification.oneOf.1.distance","typeLabel":"number"},"distanceUnit":{"type":"string","enum":["KM","MILES"],"readOnly":true,"uniqueKey":"verification.oneOf.1.distanceUnit","typeLabel":"enum\u003cstring>"},"travelDate":{"type":"string","format":"date-time","uniqueKey":"verification.oneOf.1.travelDate","typeLabel":"string\u003cdate-time>"},"description":{"type":"string","uniqueKey":"verification.oneOf.1.description","typeLabel":"string"},"roundTrip":{"type":"boolean","uniqueKey":"verification.oneOf.1.roundTrip","typeLabel":"boolean"},"route":{"type":"array","items":{"type":"object","properties":{"place":{"type":"string","example":"Ludvika, Sverige","uniqueKey":"verification.oneOf.1.route.items.[INDEX].place","typeLabel":"string"},"latitude":{"type":"string","example":"60.1523510","uniqueKey":"verification.oneOf.1.route.items.[INDEX].latitude","typeLabel":"string"},"longitude":{"type":"string","example":"15.1919879","uniqueKey":"verification.oneOf.1.route.items.[INDEX].longitude","typeLabel":"string"}},"uniqueKey":"verification.oneOf.1.route.items.[INDEX]","typeLabel":"object"},"uniqueKey":"verification.oneOf.1.route","typeLabel":"object[]"},"customFields":{"type":"array","items":{"type":"object","properties":{"fieldDefinitionId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.1.customFields.items.[INDEX].fieldDefinitionId","typeLabel":"string"},"value":{"description":"Can be: string, number, integer, date, boolean","uniqueKey":"verification.oneOf.1.customFields.items.[INDEX].value","typeLabel":"any"}},"uniqueKey":"verification.oneOf.1.customFields.items.[INDEX]","typeLabel":"object"},"uniqueKey":"verification.oneOf.1.customFields","typeLabel":"object[]"},"carType":{"type":"string","enum":["PRIVATE_CAR","COMPANY_CAR","COMPANY_CAR_DIESEL","COMPANY_CAR_OTHER","COMPANY_CAR_ELECTRICITY","COMPANY_CAR_ELECTRICITY_HOME","COMPANY_CAR_ELECTRICITY_PUBLIC","COMPANY_CAR_LTE_1400CC_PETROL","COMPANY_CAR_LTE_1400CC_LPG","COMPANY_CAR_LTE_1600CC_DIESEL","COMPANY_CAR_1401_2000CC_PETROL","COMPANY_CAR_1401_2000CC_LPG","COMPANY_CAR_1601_2000CC_DIESEL","COMPANY_CAR_GT_2000CC_PETROL","COMPANY_CAR_GT_2000CC_LPG","COMPANY_CAR_GT_2000CC_DIESEL","MOTOR_CYCLE","MOTOR_CYCLE_GT_125CC","MOTOR_CYCLE_LTE_125CC","MOPED","ALL_TERRAIN_VEHICLE","SNOW_MOBILE","BOAT_WITH_ENGINE","BOAT_WITH_ENGINE_GT_50HK","BOAT_WITH_ENGINE_LTE_50HK","PRIVATE_CAR_OR_MOTOR_CYCLE","PRIVATE_CYCLE_OR_MOPED","OTHER_VEHICLE","MOPED_OR_SCOOTER","CYCLE_OR_WALKING","PUBLIC_TRANSPORTATION","PRIVATE_CAR_3HP_LESS","PRIVATE_CAR_4HP","PRIVATE_CAR_5HP","PRIVATE_CAR_6HP","PRIVATE_CAR_7HP_MORE","MOTOR_CYCLE_1_2HP","MOTOR_CYCLE_3_5HP","MOTOR_CYCLE_5HP_MORE","PRIVATE_CAR_COMMUTER_HOME"],"uniqueKey":"verification.oneOf.1.carType","typeLabel":"enum\u003cstring>"},"destination":{"type":"string","readOnly":true,"uniqueKey":"verification.oneOf.1.destination","typeLabel":"string"},"manualDistance":{"type":"boolean","uniqueKey":"verification.oneOf.1.manualDistance","typeLabel":"boolean"},"tripDetails":{"type":"object","properties":{"distanceInTransport":{"type":"number","uniqueKey":"verification.oneOf.1.tripDetails.distanceInTransport","typeLabel":"number"},"distanceOnGravel":{"type":"number","uniqueKey":"verification.oneOf.1.tripDetails.distanceOnGravel","typeLabel":"number"},"numberOfPassengers":{"type":"integer","uniqueKey":"verification.oneOf.1.tripDetails.numberOfPassengers","typeLabel":"integer"},"distanceWithTrailer":{"type":"number","uniqueKey":"verification.oneOf.1.tripDetails.distanceWithTrailer","typeLabel":"number"},"distanceWithCaravan":{"type":"number","uniqueKey":"verification.oneOf.1.tripDetails.distanceWithCaravan","typeLabel":"number"},"distanceWithHeavyCaravan":{"type":"number","uniqueKey":"verification.oneOf.1.tripDetails.distanceWithHeavyCaravan","typeLabel":"number"},"distanceWithDog":{"type":"number","uniqueKey":"verification.oneOf.1.tripDetails.distanceWithDog","typeLabel":"number"},"tollCost":{"type":"number","uniqueKey":"verification.oneOf.1.tripDetails.tollCost","typeLabel":"number"}},"uniqueKey":"verification.oneOf.1.tripDetails","typeLabel":"object"},"relatedTrips":{"type":"array","items":{"type":"object","properties":{"fleetManagementTripId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.1.relatedTrips.items.[INDEX].fleetManagementTripId","typeLabel":"string"}},"uniqueKey":"verification.oneOf.1.relatedTrips.items.[INDEX]","typeLabel":"object"},"uniqueKey":"verification.oneOf.1.relatedTrips","typeLabel":"object[]"},"tollCostFuelType":{"type":"string","enum":["PETROL","DIESEL","ELECTRIC","HYBRID","HYDROGEN"],"uniqueKey":"verification.oneOf.1.tollCostFuelType","typeLabel":"enum\u003cstring>"},"tollCostData":{"type":"object","properties":{"returnDiscountedPrice":{"type":"number","uniqueKey":"verification.oneOf.1.tollCostData.returnDiscountedPrice","typeLabel":"number"},"discountedPrice":{"type":"number","uniqueKey":"verification.oneOf.1.tollCostData.discountedPrice","typeLabel":"number"},"price":{"type":"number","uniqueKey":"verification.oneOf.1.tollCostData.price","typeLabel":"number"},"returnPrice":{"type":"number","uniqueKey":"verification.oneOf.1.tollCostData.returnPrice","typeLabel":"number"}},"uniqueKey":"verification.oneOf.1.tollCostData","typeLabel":"object"},"passengers":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","uniqueKey":"verification.oneOf.1.passengers.items.[INDEX].name","typeLabel":"string"},"distance":{"type":"number","format":"double","uniqueKey":"verification.oneOf.1.passengers.items.[INDEX].distance","typeLabel":"number\u003cdouble>"}},"uniqueKey":"verification.oneOf.1.passengers.items.[INDEX]","typeLabel":"object"},"uniqueKey":"verification.oneOf.1.passengers","typeLabel":"object[]"},"attachments":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.1.attachments.items.[INDEX].id","typeLabel":"string"},"personId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.1.attachments.items.[INDEX].personId","typeLabel":"string"},"contentType":{"type":"string","uniqueKey":"verification.oneOf.1.attachments.items.[INDEX].contentType","typeLabel":"string"},"isTemporary":{"type":"boolean","uniqueKey":"verification.oneOf.1.attachments.items.[INDEX].isTemporary","typeLabel":"boolean"},"signatureType":{"type":"string","enum":["EU"],"uniqueKey":"verification.oneOf.1.attachments.items.[INDEX].signatureType","typeLabel":"enum\u003cstring>"},"signatureUrl":{"type":"string","uniqueKey":"verification.oneOf.1.attachments.items.[INDEX].signatureUrl","typeLabel":"string"},"name":{"type":"string","uniqueKey":"verification.oneOf.1.attachments.items.[INDEX].name","typeLabel":"string"},"description":{"type":"string","uniqueKey":"verification.oneOf.1.attachments.items.[INDEX].description","typeLabel":"string"},"qrScan":{"type":"string","description":"Decoded fiscal QR string as sent in the `qrScan` request header on POST. Omitted when the resource has no QR data attached. Currently populated for Portuguese receipts.","uniqueKey":"verification.oneOf.1.attachments.items.[INDEX].qrScan","typeLabel":"string"},"scanResult":{"type":"object","readOnly":true,"properties":{"id":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.1.attachments.items.[INDEX].scanResult.id","typeLabel":"string"},"amount":{"type":"number","format":"double","uniqueKey":"verification.oneOf.1.attachments.items.[INDEX].scanResult.amount","typeLabel":"number\u003cdouble>"},"taxAmount":{"type":"number","format":"double","uniqueKey":"verification.oneOf.1.attachments.items.[INDEX].scanResult.taxAmount","typeLabel":"number\u003cdouble>"},"currency":{"type":"string","uniqueKey":"verification.oneOf.1.attachments.items.[INDEX].scanResult.currency","typeLabel":"string"},"purchaseDate":{"type":"string","uniqueKey":"verification.oneOf.1.attachments.items.[INDEX].scanResult.purchaseDate","typeLabel":"string"},"categoryIds":{"type":"array","items":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.1.attachments.items.[INDEX].scanResult.categoryIds.items.[INDEX]","typeLabel":"string"},"uniqueKey":"verification.oneOf.1.attachments.items.[INDEX].scanResult.categoryIds","typeLabel":"string[]"},"categoryId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.1.attachments.items.[INDEX].scanResult.categoryId","typeLabel":"string"}},"uniqueKey":"verification.oneOf.1.attachments.items.[INDEX].scanResult","typeLabel":"object"}},"example":{"id":"62bfaa54dc9341819cd6f4ff4ae39f44","personId":"063ee3c7fa4b4728b418097299447f9d","contentType":"application/pdf","isTemporary":true,"signatureType":null,"signatureUrl":null,"name":"receipt-photo.jpg","description":"Receipt photo","qrScan":"A:514482621*B:501878076*C:PT*D:FR*E:N*F:20260508*G:111 26A/154*H:J6Z9V4MR-154*I1:PT-MA*I7:68.50*I8:15.76*N:15.76*O:84.26*Q:T4Fn*R:116","scanResult":{"id":"a185160800524ac68cbf0a18ad59649b","amount":135,"taxAmount":23,"currency":"SEK","purchaseDate":"2023-04-20","categoryIds":["575ba2572de74f38b947a07df93a2909","350dadb020694421aebc1d9473fa64a9"],"categoryId":"575ba2572de74f38b947a07df93a2909"}},"uniqueKey":"verification.oneOf.1.attachments.items.[INDEX]","typeLabel":"object"},"uniqueKey":"verification.oneOf.1.attachments","typeLabel":"object[]"}},"uniqueKey":"verification.oneOf.1","typeLabel":"object"},{"type":"object","description":"The expense-type-specific payload — receipt details, mileage details, per-diem details, or food-benefit details. Shape selected by the nested `type` discriminator.","properties":{"id":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","readOnly":true,"uniqueKey":"verification.oneOf.2.id","typeLabel":"string"},"reimbursement":{"type":"number","uniqueKey":"verification.oneOf.2.reimbursement","typeLabel":"number"},"comment":{"type":"string","uniqueKey":"verification.oneOf.2.comment","typeLabel":"string"},"type":{"type":"string","enum":["SubsistenceAllowance"],"uniqueKey":"verification.oneOf.2.type","typeLabel":"enum\u003cstring>"},"amount":{"type":"number","uniqueKey":"verification.oneOf.2.amount","typeLabel":"number"},"taxAmount":{"type":"number","uniqueKey":"verification.oneOf.2.taxAmount","typeLabel":"number"},"tip":{"type":"number","uniqueKey":"verification.oneOf.2.tip","typeLabel":"number"},"exchangeRate":{"type":"number","uniqueKey":"verification.oneOf.2.exchangeRate","typeLabel":"number"},"currency":{"type":"string","uniqueKey":"verification.oneOf.2.currency","typeLabel":"string"},"description":{"type":"string","uniqueKey":"verification.oneOf.2.description","typeLabel":"string"},"purchaseDate":{"type":"string","format":"date-time","uniqueKey":"verification.oneOf.2.purchaseDate","typeLabel":"string\u003cdate-time>"},"dateCreated":{"type":"string","uniqueKey":"verification.oneOf.2.dateCreated","typeLabel":"string"},"lastUpdated":{"type":"string","uniqueKey":"verification.oneOf.2.lastUpdated","typeLabel":"string"},"storeName":{"type":"string","uniqueKey":"verification.oneOf.2.storeName","typeLabel":"string"},"verificationNumber":{"type":"string","uniqueKey":"verification.oneOf.2.verificationNumber","typeLabel":"string"},"paymentTypeId":{"type":"string","uniqueKey":"verification.oneOf.2.paymentTypeId","typeLabel":"string"},"cardTransactionId":{"type":"string","uniqueKey":"verification.oneOf.2.cardTransactionId","typeLabel":"string"},"eventType":{"type":"string","enum":["AUTHORIZATION_ACCEPTED","AUTHORIZATION_REJECTED","AUTHORIZATION_REVERSAL","CAPTURE","REFUND"],"uniqueKey":"verification.oneOf.2.eventType","typeLabel":"enum\u003cstring>"},"receiptAttachment":{"type":"object","properties":{"id":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.2.receiptAttachment.id","typeLabel":"string"},"personId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.2.receiptAttachment.personId","typeLabel":"string"},"contentType":{"type":"string","uniqueKey":"verification.oneOf.2.receiptAttachment.contentType","typeLabel":"string"},"isTemporary":{"type":"boolean","uniqueKey":"verification.oneOf.2.receiptAttachment.isTemporary","typeLabel":"boolean"},"signatureType":{"type":"string","enum":["EU"],"uniqueKey":"verification.oneOf.2.receiptAttachment.signatureType","typeLabel":"enum\u003cstring>"},"signatureUrl":{"type":"string","uniqueKey":"verification.oneOf.2.receiptAttachment.signatureUrl","typeLabel":"string"},"name":{"type":"string","uniqueKey":"verification.oneOf.2.receiptAttachment.name","typeLabel":"string"},"description":{"type":"string","uniqueKey":"verification.oneOf.2.receiptAttachment.description","typeLabel":"string"},"qrScan":{"type":"string","description":"Decoded fiscal QR string as sent in the `qrScan` request header on POST. Omitted when the resource has no QR data attached. Currently populated for Portuguese receipts.","uniqueKey":"verification.oneOf.2.receiptAttachment.qrScan","typeLabel":"string"},"scanResult":{"type":"object","readOnly":true,"properties":{"id":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.2.receiptAttachment.scanResult.id","typeLabel":"string"},"amount":{"type":"number","format":"double","uniqueKey":"verification.oneOf.2.receiptAttachment.scanResult.amount","typeLabel":"number\u003cdouble>"},"taxAmount":{"type":"number","format":"double","uniqueKey":"verification.oneOf.2.receiptAttachment.scanResult.taxAmount","typeLabel":"number\u003cdouble>"},"currency":{"type":"string","uniqueKey":"verification.oneOf.2.receiptAttachment.scanResult.currency","typeLabel":"string"},"purchaseDate":{"type":"string","uniqueKey":"verification.oneOf.2.receiptAttachment.scanResult.purchaseDate","typeLabel":"string"},"categoryIds":{"type":"array","items":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.2.receiptAttachment.scanResult.categoryIds.items.[INDEX]","typeLabel":"string"},"uniqueKey":"verification.oneOf.2.receiptAttachment.scanResult.categoryIds","typeLabel":"string[]"},"categoryId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.2.receiptAttachment.scanResult.categoryId","typeLabel":"string"}},"uniqueKey":"verification.oneOf.2.receiptAttachment.scanResult","typeLabel":"object"}},"example":{"id":"62bfaa54dc9341819cd6f4ff4ae39f44","personId":"063ee3c7fa4b4728b418097299447f9d","contentType":"application/pdf","isTemporary":true,"signatureType":null,"signatureUrl":null,"name":"receipt-photo.jpg","description":"Receipt photo","qrScan":"A:514482621*B:501878076*C:PT*D:FR*E:N*F:20260508*G:111 26A/154*H:J6Z9V4MR-154*I1:PT-MA*I7:68.50*I8:15.76*N:15.76*O:84.26*Q:T4Fn*R:116","scanResult":{"id":"a185160800524ac68cbf0a18ad59649b","amount":135,"taxAmount":23,"currency":"SEK","purchaseDate":"2023-04-20","categoryIds":["575ba2572de74f38b947a07df93a2909","350dadb020694421aebc1d9473fa64a9"],"categoryId":"575ba2572de74f38b947a07df93a2909"}},"uniqueKey":"verification.oneOf.2.receiptAttachment","typeLabel":"object"},"representation":{"type":"object","properties":{"type":{"type":"string","uniqueKey":"verification.oneOf.2.representation.type","typeLabel":"string"},"guestListAttached":{"type":"boolean","default":false,"uniqueKey":"verification.oneOf.2.representation.guestListAttached","typeLabel":"boolean"},"includesLiquor":{"type":"boolean","default":false,"uniqueKey":"verification.oneOf.2.representation.includesLiquor","typeLabel":"boolean"},"numberOfGuests":{"type":"integer","uniqueKey":"verification.oneOf.2.representation.numberOfGuests","typeLabel":"integer"},"numberOfExternalGuests":{"type":"integer","uniqueKey":"verification.oneOf.2.representation.numberOfExternalGuests","typeLabel":"integer"},"place":{"type":"string","uniqueKey":"verification.oneOf.2.representation.place","typeLabel":"string"},"tip":{"type":"number","format":"double","minimum":0,"deprecated":true,"description":"Deprecated. Tip is now a root receipt verification property (`tip`). A non-negative decimal number in the receipt's currency. This property is kept for backwards compatibility and mirrors the root value.\n","uniqueKey":"verification.oneOf.2.representation.tip","typeLabel":"number\u003cdouble>"},"guestListAttachment":{"type":"object","properties":{"id":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.2.representation.guestListAttachment.id","typeLabel":"string"},"personId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.2.representation.guestListAttachment.personId","typeLabel":"string"},"contentType":{"type":"string","uniqueKey":"verification.oneOf.2.representation.guestListAttachment.contentType","typeLabel":"string"},"isTemporary":{"type":"boolean","uniqueKey":"verification.oneOf.2.representation.guestListAttachment.isTemporary","typeLabel":"boolean"},"signatureType":{"type":"string","enum":["EU"],"uniqueKey":"verification.oneOf.2.representation.guestListAttachment.signatureType","typeLabel":"enum\u003cstring>"},"signatureUrl":{"type":"string","uniqueKey":"verification.oneOf.2.representation.guestListAttachment.signatureUrl","typeLabel":"string"},"name":{"type":"string","uniqueKey":"verification.oneOf.2.representation.guestListAttachment.name","typeLabel":"string"},"description":{"type":"string","uniqueKey":"verification.oneOf.2.representation.guestListAttachment.description","typeLabel":"string"},"qrScan":{"type":"string","description":"Decoded fiscal QR string as sent in the `qrScan` request header on POST. Omitted when the resource has no QR data attached. Currently populated for Portuguese receipts.","uniqueKey":"verification.oneOf.2.representation.guestListAttachment.qrScan","typeLabel":"string"},"scanResult":{"type":"object","readOnly":true,"properties":{"id":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.2.representation.guestListAttachment.scanResult.id","typeLabel":"string"},"amount":{"type":"number","format":"double","uniqueKey":"verification.oneOf.2.representation.guestListAttachment.scanResult.amount","typeLabel":"number\u003cdouble>"},"taxAmount":{"type":"number","format":"double","uniqueKey":"verification.oneOf.2.representation.guestListAttachment.scanResult.taxAmount","typeLabel":"number\u003cdouble>"},"currency":{"type":"string","uniqueKey":"verification.oneOf.2.representation.guestListAttachment.scanResult.currency","typeLabel":"string"},"purchaseDate":{"type":"string","uniqueKey":"verification.oneOf.2.representation.guestListAttachment.scanResult.purchaseDate","typeLabel":"string"},"categoryIds":{"type":"array","items":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.2.representation.guestListAttachment.scanResult.categoryIds.items.[INDEX]","typeLabel":"string"},"uniqueKey":"verification.oneOf.2.representation.guestListAttachment.scanResult.categoryIds","typeLabel":"string[]"},"categoryId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.2.representation.guestListAttachment.scanResult.categoryId","typeLabel":"string"}},"uniqueKey":"verification.oneOf.2.representation.guestListAttachment.scanResult","typeLabel":"object"}},"example":{"id":"62bfaa54dc9341819cd6f4ff4ae39f44","personId":"063ee3c7fa4b4728b418097299447f9d","contentType":"application/pdf","isTemporary":true,"signatureType":null,"signatureUrl":null,"name":"receipt-photo.jpg","description":"Receipt photo","qrScan":"A:514482621*B:501878076*C:PT*D:FR*E:N*F:20260508*G:111 26A/154*H:J6Z9V4MR-154*I1:PT-MA*I7:68.50*I8:15.76*N:15.76*O:84.26*Q:T4Fn*R:116","scanResult":{"id":"a185160800524ac68cbf0a18ad59649b","amount":135,"taxAmount":23,"currency":"SEK","purchaseDate":"2023-04-20","categoryIds":["575ba2572de74f38b947a07df93a2909","350dadb020694421aebc1d9473fa64a9"],"categoryId":"575ba2572de74f38b947a07df93a2909"}},"uniqueKey":"verification.oneOf.2.representation.guestListAttachment","typeLabel":"object"},"guests":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","uniqueKey":"verification.oneOf.2.representation.guests.items.[INDEX].name","typeLabel":"string"},"company":{"type":"string","uniqueKey":"verification.oneOf.2.representation.guests.items.[INDEX].company","typeLabel":"string"}},"uniqueKey":"verification.oneOf.2.representation.guests.items.[INDEX]","typeLabel":"object"},"uniqueKey":"verification.oneOf.2.representation.guests","typeLabel":"object[]"}},"uniqueKey":"verification.oneOf.2.representation","typeLabel":"object"},"attachments":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.2.attachments.items.[INDEX].id","typeLabel":"string"},"personId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.2.attachments.items.[INDEX].personId","typeLabel":"string"},"contentType":{"type":"string","uniqueKey":"verification.oneOf.2.attachments.items.[INDEX].contentType","typeLabel":"string"},"isTemporary":{"type":"boolean","uniqueKey":"verification.oneOf.2.attachments.items.[INDEX].isTemporary","typeLabel":"boolean"},"signatureType":{"type":"string","enum":["EU"],"uniqueKey":"verification.oneOf.2.attachments.items.[INDEX].signatureType","typeLabel":"enum\u003cstring>"},"signatureUrl":{"type":"string","uniqueKey":"verification.oneOf.2.attachments.items.[INDEX].signatureUrl","typeLabel":"string"},"name":{"type":"string","uniqueKey":"verification.oneOf.2.attachments.items.[INDEX].name","typeLabel":"string"},"description":{"type":"string","uniqueKey":"verification.oneOf.2.attachments.items.[INDEX].description","typeLabel":"string"},"qrScan":{"type":"string","description":"Decoded fiscal QR string as sent in the `qrScan` request header on POST. Omitted when the resource has no QR data attached. Currently populated for Portuguese receipts.","uniqueKey":"verification.oneOf.2.attachments.items.[INDEX].qrScan","typeLabel":"string"},"scanResult":{"type":"object","readOnly":true,"properties":{"id":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.2.attachments.items.[INDEX].scanResult.id","typeLabel":"string"},"amount":{"type":"number","format":"double","uniqueKey":"verification.oneOf.2.attachments.items.[INDEX].scanResult.amount","typeLabel":"number\u003cdouble>"},"taxAmount":{"type":"number","format":"double","uniqueKey":"verification.oneOf.2.attachments.items.[INDEX].scanResult.taxAmount","typeLabel":"number\u003cdouble>"},"currency":{"type":"string","uniqueKey":"verification.oneOf.2.attachments.items.[INDEX].scanResult.currency","typeLabel":"string"},"purchaseDate":{"type":"string","uniqueKey":"verification.oneOf.2.attachments.items.[INDEX].scanResult.purchaseDate","typeLabel":"string"},"categoryIds":{"type":"array","items":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.2.attachments.items.[INDEX].scanResult.categoryIds.items.[INDEX]","typeLabel":"string"},"uniqueKey":"verification.oneOf.2.attachments.items.[INDEX].scanResult.categoryIds","typeLabel":"string[]"},"categoryId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.2.attachments.items.[INDEX].scanResult.categoryId","typeLabel":"string"}},"uniqueKey":"verification.oneOf.2.attachments.items.[INDEX].scanResult","typeLabel":"object"}},"example":{"id":"62bfaa54dc9341819cd6f4ff4ae39f44","personId":"063ee3c7fa4b4728b418097299447f9d","contentType":"application/pdf","isTemporary":true,"signatureType":null,"signatureUrl":null,"name":"receipt-photo.jpg","description":"Receipt photo","qrScan":"A:514482621*B:501878076*C:PT*D:FR*E:N*F:20260508*G:111 26A/154*H:J6Z9V4MR-154*I1:PT-MA*I7:68.50*I8:15.76*N:15.76*O:84.26*Q:T4Fn*R:116","scanResult":{"id":"a185160800524ac68cbf0a18ad59649b","amount":135,"taxAmount":23,"currency":"SEK","purchaseDate":"2023-04-20","categoryIds":["575ba2572de74f38b947a07df93a2909","350dadb020694421aebc1d9473fa64a9"],"categoryId":"575ba2572de74f38b947a07df93a2909"}},"uniqueKey":"verification.oneOf.2.attachments.items.[INDEX]","typeLabel":"object"},"uniqueKey":"verification.oneOf.2.attachments","typeLabel":"object[]"},"customFields":{"type":"array","items":{"type":"object","properties":{"fieldDefinitionId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.2.customFields.items.[INDEX].fieldDefinitionId","typeLabel":"string"},"value":{"description":"Can be: string, number, integer, date, boolean","uniqueKey":"verification.oneOf.2.customFields.items.[INDEX].value","typeLabel":"any"}},"uniqueKey":"verification.oneOf.2.customFields.items.[INDEX]","typeLabel":"object"},"uniqueKey":"verification.oneOf.2.customFields","typeLabel":"object[]"}},"uniqueKey":"verification.oneOf.2","typeLabel":"object"},{"type":"object","description":"The expense-type-specific payload — receipt details, mileage details, per-diem details, or food-benefit details. Shape selected by the nested `type` discriminator.","properties":{"id":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","readOnly":true,"uniqueKey":"verification.oneOf.3.id","typeLabel":"string"},"reimbursement":{"type":"number","uniqueKey":"verification.oneOf.3.reimbursement","typeLabel":"number"},"comment":{"type":"string","uniqueKey":"verification.oneOf.3.comment","typeLabel":"string"},"type":{"type":"string","enum":["FoodBenefitsSpecification"],"uniqueKey":"verification.oneOf.3.type","typeLabel":"enum\u003cstring>"},"description":{"type":"string","uniqueKey":"verification.oneOf.3.description","typeLabel":"string"},"breakfast":{"type":"boolean","uniqueKey":"verification.oneOf.3.breakfast","typeLabel":"boolean"},"lunch":{"type":"boolean","uniqueKey":"verification.oneOf.3.lunch","typeLabel":"boolean"},"dinner":{"type":"boolean","uniqueKey":"verification.oneOf.3.dinner","typeLabel":"boolean"},"customFields":{"type":"array","items":{"type":"object","properties":{"fieldDefinitionId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"verification.oneOf.3.customFields.items.[INDEX].fieldDefinitionId","typeLabel":"string"},"value":{"description":"Can be: string, number, integer, date, boolean","uniqueKey":"verification.oneOf.3.customFields.items.[INDEX].value","typeLabel":"any"}},"uniqueKey":"verification.oneOf.3.customFields.items.[INDEX]","typeLabel":"object"},"uniqueKey":"verification.oneOf.3.customFields","typeLabel":"object[]"}},"uniqueKey":"verification.oneOf.3","typeLabel":"object"}],"uniqueKey":"verification","typeLabel":"object"},"expenseReportId":{"type":"string","pattern":"^[0-9a-fA-F]{32}$","description":"UUID without dashes (32-character hex string)","uniqueKey":"expenseReportId","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Receipt verification":{"title":"Receipt verification","value":{"receiptVerification":{"value":{"organizationId":"ff808181963de13701963de1789d00ad","version":2,"lastUpdated":"2025-04-16T09:15:09Z","dateCreated":"2025-04-16T09:15:09Z","processStatus":"DRAFT","status":"NORMAL","expenseDate":"2023-03-21T10:58:14Z","personId":"ff808181963de13701963de177e00083","id":"5ca0dfa6def943eab46d240d3680c323","reimbursementCurrency":"SEK","categoryId":"9ed4618ae74e4f17b69005f699c104f3","verification":{"amount":230,"purchaseDate":"2023-03-21T10:58:14Z","attachments":[{"name":"attachments2","isTemporary":false,"id":"ff808181963e296501963e29ac6d00be","contentType":"image/jpeg"},{"name":"attachments1","isTemporary":false,"id":"ff808181963e296501963e29ac5e00bc","contentType":"image/jpeg"}],"customFields":[{"fieldDefinitionId":"2b965c866b634698811dabf45a491089,","value":true},{"fieldDefinitionId":"59ljgfau904t3qio3aw90up34gj9iog4,","value":"string"},{"fieldDefinitionId":"904t3qio3aw90up34gj9iog45a491089,","value":10}],"description":"verification-description","type":"ReceiptVerification","lastUpdated":"2025-04-16T09:15:09Z","dateCreated":"2025-04-16T09:15:09Z","paymentTypeId":"ed0d98d4e3834714bbca45f889d4584b","exchangeRate":1,"verificationNumber":"verification-number","comment":"verification-comment","currency":"SEK","taxAmount":23,"receiptAttachment":{"name":"file-name607803656","personId":"ff808181963de13701963de177e00083","isTemporary":false,"id":"ff808181963de13701963de179b900b9","contentType":"image/png"}}}},"receiptVerification with representation including guest list":{"value":{"organizationId":"ff808181963e1df601963e2657bf01ec","lastUpdated":"2025-04-16T10:30:22Z","dateCreated":"2025-04-16T10:30:22Z","processStatus":"DRAFT","personId":"ff808181963e1df601963e26577201c2","id":"043c3ef85bea4e118adabbba4c3d16bf","reimbursementCurrency":"SEK","categoryId":"e59971ac44b54f2480d449b0d84caee2","status":"NORMAL","expenseDate":"2023-03-21T10:58:14Z","verification":{"amount":230,"purchaseDate":"2023-03-21T10:58:14Z","attachments":[{"name":"attachments2","isTemporary":false,"id":"ff808181963e296501963e29ac6d00be","contentType":"image/jpeg"},{"name":"attachments1","isTemporary":false,"id":"ff808181963e296501963e29ac5e00bc","contentType":"image/jpeg"}],"customFields":[{"fieldDefinitionId":"2b965c866b634698811dabf45a491089,","value":true}],"description":"verification-description","type":"ReceiptVerification","lastUpdated":"2025-04-16T10:30:22Z","dateCreated":"2025-04-16T10:30:22Z","paymentTypeId":"253b87a3555a4c9bb288338131d2d83b","exchangeRate":1,"verificationNumber":"verification-number","comment":"verification-comment","currency":"SEK","taxAmount":23,"receiptAttachment":{"name":"file-name1011137852","personId":"ff808181963e1df601963e26577201c2","isTemporary":false,"id":"ff808181963e1df601963e26582601f8","contentType":"image/png"},"representation":{"includesLiquor":false,"numberOfExternalGuests":1,"guests":[],"numberOfGuests":1,"type":"LUNCH","guestListAttached":true,"guestListAttachment":{"name":"file-name386996737","personId":"ff808181963e1df601963e26577201c2","isTemporary":false,"id":"ff808181963e1df601963e26583101f9","contentType":"application/pdf"}}}}},"receiptVerification with representation including attached guests":{"value":{"organizationId":"ff808181963e1df601963e1f931f014b","lastUpdated":"2025-04-16T10:22:59Z","dateCreated":"2025-04-16T10:22:59Z","processStatus":"DRAFT","personId":"ff808181963e1df601963e1f92d30121","id":"7c50f82edb7747bdb84f038e535f1e7d","reimbursementCurrency":"SEK","categoryId":"ebde877306a94f66a9b0695c7c48a43d","status":"NORMAL","expenseDate":"2023-03-21T10:58:14Z","verification":{"amount":230,"purchaseDate":"2023-03-21T10:58:14Z","attachments":[{"name":"attachments2","isTemporary":false,"id":"ff808181963e296501963e29ac6d00be","contentType":"image/jpeg"},{"name":"attachments1","isTemporary":false,"id":"ff808181963e296501963e29ac5e00bc","contentType":"image/jpeg"}],"customFields":[{"fieldDefinitionId":"058d2a973694413db017b9e340f15d2d","value":"2023-01-01T01:00:00Z"}],"description":"verification-description","type":"ReceiptVerification","lastUpdated":"2025-04-16T10:22:59Z","dateCreated":"2025-04-16T10:22:59Z","paymentTypeId":"1f4d4253c7c740c7ae055d840d25392a","exchangeRate":1,"verificationNumber":"verification-number","comment":"verification-comment","currency":"SEK","taxAmount":23,"receiptAttachment":{"name":"file-name985238297","personId":"ff808181963e1df601963e1f92d30121","isTemporary":false,"id":"ff808181963e1df601963e1f93810157","contentType":"image/png"},"representation":{"includesLiquor":false,"numberOfExternalGuests":1,"type":"LUNCH","guestListAttached":false,"guests":[{"name":"Person 1","company":"Company A"},{"name":"Person 2","company":"Company B"}]}}}}}},"Car specification":{"title":"Car specification","value":{"carSpecification":{"value":{"organizationId":"ff808181963e39cc01963e3a14250058","lastUpdated":"2025-04-16T10:52:48Z","dateCreated":"2025-04-16T10:52:48Z","processStatus":"DRAFT","personId":"ff808181963e39cc01963e3a119f002d","id":"67c18882083149599859054bcebb4ca0","reimbursementCurrency":"SEK","categoryId":"ec15a0b27286484e8e211447ecbe7fe8","status":"NORMAL","expenseDate":"2023-09-13T11:46:27Z","verification":{"carType":"PRIVATE_CAR","travelDate":"2023-09-13T11:46:27Z","manualDistance":false,"id":"729b4232c8ae4b6b83536195d9941f95","roundTrip":false,"distanceUnit":"KM","passengers":[],"distance":218,"customFields":[],"destination":"Ludvika, Sverige - Stockholm, Sverige","description":"Trip to Stockholm","type":"CarSpecification","route":[{"latitude":"60.1523510","place":"Ludvika, Sverige","longitude":"15.1919879"},{"latitude":"59.3293481","place":"Stockholm, Sverige","longitude":"18.0682306"}],"tripDetails":{"distanceOnGravel":2,"tollCost":8,"distanceWithTrailer":4,"distanceWithCaravan":5,"distanceInTransport":1,"distanceWithHeavyCaravan":6,"distanceWithDog":7,"numberOfPassengers":3}}}},"carSpecification with specified passengers":{"value":{"organizationId":"ff808181963e3f9e01963e44171a0097","lastUpdated":"2025-04-16T11:02:52Z","dateCreated":"2025-04-16T11:02:52Z","processStatus":"DRAFT","personId":"ff808181963e3f9e01963e44168a006c","id":"3cf0cfc4788e48c8b4ce299b82067734","reimbursementCurrency":"SEK","categoryId":"738a68711bc64a8192970833770a19ba","status":"NORMAL","expenseDate":"2023-09-13T11:46:27Z","verification":{"roundTrip":false,"distanceUnit":"KM","distance":218,"customFields":[],"destination":"Ludvika, Sverige - Stockholm, Sverige","description":"Trip to Stockholm","type":"CarSpecification","carType":"PRIVATE_CAR","travelDate":"2023-09-13T11:46:27Z","manualDistance":false,"id":"9731f3e27a35456aa57c08b9893fed72","passengers":[{"distance":1,"name":"Albert"},{"distance":2,"name":"Herbert"},{"distance":3,"name":"Kyle"},{"distance":4,"name":"Stephen"}],"tripDetails":{"distanceOnGravel":2,"tollCost":8,"distanceWithTrailer":4,"distanceWithCaravan":5,"distanceInTransport":1,"distanceWithHeavyCaravan":6,"distanceWithDog":7,"numberOfPassengers":4},"route":[{"latitude":"60.1523510","place":"Ludvika, Sverige","longitude":"15.1919879"},{"latitude":"59.3293481","place":"Stockholm, Sverige","longitude":"18.0682306"}]}}},"carSpecificication with two via points in route":{"value":{"organizationId":"ff808181963e39cc01963e3c2b160097","lastUpdated":"2025-04-16T10:54:13Z","dateCreated":"2025-04-16T10:54:13Z","processStatus":"DRAFT","personId":"ff808181963e39cc01963e3c2a60006c","id":"9a02ca26160a4dc4aeaab94393d2c6b2","reimbursementCurrency":"SEK","categoryId":"b2da3f3b1d96474da014e52b4681c095","status":"NORMAL","expenseDate":"2023-09-13T11:46:27Z","verification":{"carType":"PRIVATE_CAR","travelDate":"2023-09-13T11:46:27Z","manualDistance":false,"id":"e9ce2d1f8dd94439afe52cc56598e226","roundTrip":false,"distanceUnit":"KM","passengers":[],"distance":218,"customFields":[],"destination":"Ludvika, Sverige - Falun - Borlänge - Stockholm, Sverige","description":"Trip to Stockholm","type":"CarSpecification","route":[{"latitude":"60.1523510","place":"Ludvika, Sverige","longitude":"15.1919879"},{"latitude":"60.609036","place":"Falun","longitude":"15.629638"},{"latitude":"60.489796","place":"Borlänge","longitude":"15.434664"},{"latitude":"59.3293481","place":"Stockholm, Sverige","longitude":"18.0682306"}],"tripDetails":{"distanceOnGravel":2,"tollCost":8,"distanceWithTrailer":4,"distanceWithCaravan":5,"distanceInTransport":1,"distanceWithHeavyCaravan":6,"distanceWithDog":7,"numberOfPassengers":3}}}},"carSpecification with related fleet Management trip ids":{"value":{"organizationId":"ff808181963e39cc01963e3d7e2800d6","lastUpdated":"2025-04-16T10:55:39Z","dateCreated":"2025-04-16T10:55:39Z","processStatus":"DRAFT","personId":"ff808181963e39cc01963e3d7dcd00ab","id":"c52b9574c3cb449dad73426239595b4e","reimbursementCurrency":"SEK","categoryId":"36339feeacf240ea9ff6246196377d2e","status":"NORMAL","expenseDate":"2023-09-13T11:46:27Z","verification":{"travelDate":"2023-09-13T11:46:27Z","manualDistance":false,"id":"d8a8f61fda724003a0ca787a0601fdf1","roundTrip":false,"distanceUnit":"KM","passengers":[],"distance":218,"customFields":[],"destination":"Ludvika, Sverige - Stockholm, Sverige","description":"Trip to Stockholm","type":"CarSpecification","route":[{"latitude":"60.1523510","place":"Ludvika, Sverige","longitude":"15.1919879"},{"latitude":"59.3293481","place":"Stockholm, Sverige","longitude":"18.0682306"}],"carType":"PRIVATE_CAR","relatedTrips":[{"fleetManagementTripId":"1"},{"fleetManagementTripId":"2"}],"tripDetails":{"distanceOnGravel":2,"tollCost":8,"distanceWithTrailer":4,"distanceWithCaravan":5,"distanceInTransport":1,"distanceWithHeavyCaravan":6,"distanceWithDog":7,"numberOfPassengers":3}}}},"carSpecification with toll cost data":{"value":{"organizationId":"ff808181963e3f9e01963e3fde980058","lastUpdated":"2025-04-16T10:58:16Z","dateCreated":"2025-04-16T10:58:16Z","processStatus":"DRAFT","personId":"ff808181963e3f9e01963e3fdcaf002d","id":"3ef21fc73036472abe2035f8ea88a5ad","reimbursementCurrency":"SEK","categoryId":"bfb827510c7041c1a08a820721e7a934","status":"NORMAL","expenseDate":"2023-09-13T11:46:27Z","verification":{"id":"16df71386a5f4652a02509d1a83d1081","roundTrip":false,"distanceUnit":"KM","passengers":[],"tollCostFuelType":"HYBRID","distance":218,"customFields":[],"destination":"Ludvika, Sverige - Stockholm, Sverige","description":"Trip to Stockholm","type":"CarSpecification","carType":"PRIVATE_CAR","travelDate":"2023-09-13T11:46:27Z","manualDistance":false,"route":[{"latitude":"60.1523510","place":"Ludvika, Sverige","longitude":"15.1919879"},{"latitude":"59.3293481","place":"Stockholm, Sverige","longitude":"18.0682306"}],"tollCostData":{"price":100,"returnPrice":200,"type":"bompeng"},"tripDetails":{"distanceOnGravel":2,"tollCost":8,"distanceWithTrailer":4,"distanceWithCaravan":5,"distanceInTransport":1,"distanceWithHeavyCaravan":6,"distanceWithDog":7,"numberOfPassengers":3}}}}}},"Subsistence allowance":{"title":"Subsistence allowance","value":{"id":"de4f8d3d500645ef95f43497a1a81aef","status":"NORMAL","processStatus":"DRAFT","meta":{"categoryIconUrl":"https://expense.findity.com/api/resources/8a49a1b359cbfe2a0159d563763c00d6","abbreviation":{"iconUrl":"https://expense.findity.com/api/resources/8a49a1b359cbfe2a0159d563763c00d6","dateDescription":null,"userDescription":null,"expenseDescription":"International statens satser","reimbursement":"834.6","reimbursementDescription":"834.60 NOK","expenseType":"SubsistenceAllowance","expenseTypeDescription":"Subsistence allowance","alert":false}},"personId":"8ab28cb36b6a16a2016b6a1918eb0001","dateCreated":"2024-02-07T14:22:49Z","lastUpdated":"2024-02-07T14:48:13Z","organizationId":"8ab28c4e70f2fef90170f695b93e2158","categoryId":"237e9b8fc8fd4435b6d4efedcd581b59","expenseReportId":null,"rejectComment":null,"verification":{"id":"0035aedff6d949bbab2ece3b6711d0a3","type":"SubsistenceAllowance","customFields":null,"description":null,"accommodationType":"PRIVATE","specifications":[{"id":"208827","destinationId":"b4cb484990ea11e9838f465ec701a070","date1":"2024-02-01 13:30","date2":null,"date1enabled":true,"date2enabled":false},{"id":"208828","destinationId":"b4cb484990ea11e9838f465ec701a070","date1":null,"date2":"2024-02-03 11:00","date1enabled":false,"date2enabled":true}],"deductions":[{"id":"409480","date":"2024-02-01T00:00:00Z","isMealCompensation":false,"accommodation":false,"deductionTypeBreakfast":"PAID_YOURSELF","deductionTypeLunch":"PAID_YOURSELF","deductionTypeDinner":"FOOD_IN_REPRESENTATION"},{"id":"409481","date":"2024-02-02T00:00:00Z","isMealCompensation":false,"accommodation":false,"deductionTypeBreakfast":"PAID_YOURSELF","deductionTypeLunch":"FOOD_IN_REPRESENTATION","deductionTypeDinner":"PAID_YOURSELF"}]},"reimbursement":834.6,"reimbursementCurrency":"NOK"}},"Food benefits specification":{"title":"Food benefits specification","value":{"FoodBenefitsSpecification":{"value":{"organizationId":"ff808181963e4c0201963e4c467400a7","lastUpdated":"2025-04-16T11:11:58Z","dateCreated":"2025-04-16T11:11:58Z","processStatus":"DRAFT","personId":"ff808181963e4c0201963e4c45be007d","id":"40c4e461fca947beb70822be9346bffa","reimbursementCurrency":"SEK","status":"NORMAL","expenseDate":"2025-04-16T11:11:48Z","verification":{"lastUpdated":"2025-04-16T11:11:58Z","lunch":true,"dateCreated":"2025-04-16T11:11:58Z","validDate":"2025-04-16T11:11:48Z","description":"my fancy pancy description","id":"163c78165abf45eab3d52a65b9113e6f","type":"FoodBenefitsSpecification","breakfast":true,"dinner":true}}}}}},"exampleType":"examples"}},"exampleType":"examples"},"c52cc476-9f80-47ab-9085-166cc385b43a":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"string","uniqueKey":"result","typeLabel":"string"},"code":{"type":"string","uniqueKey":"code","typeLabel":"string"},"description":{"type":"string","uniqueKey":"description","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"result":"error","code":"EXPENSE_RECORD_NOT_FOUND","description":"Expense not found"},"examples":{"Example":{"title":"Example","value":{"result":"error","code":"EXPENSE_RECORD_NOT_FOUND","description":"Expense not found"}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"c0bc5639-55e7-4b25-aae7-bb1c2c441da1":{"bearerAuth":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"d6568a86-8837-4756-956e-1616c34c43a2":{"url":"https://stage-api.findity.com/api/v1/expense"},"38d88776-4fa9-431b-a6f0-3d4a981f183e":{"url":"https://api.findity.com/api/v1/expense"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"openapi/findity-expense-api.json"},"subdomain":"findity-docs","siteName":"Findity Docs","title":"Get expense - Findity Docs","contextualStarterQuestions":[],"navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"originalFileLocation":"reference/expense/expenses/get-expense.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=\"light\";if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Fetch one and only one expense for a user.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Findity Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003cmeta data-mint-head name=\"robots\" content=\"noindex\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/findity-docs/qh6qZo-BejSNhjrJ/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/findity-docs/qh6qZo-BejSNhjrJ/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/findity-docs/qh6qZo-BejSNhjrJ/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/findity-docs/qh6qZo-BejSNhjrJ/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/findity-docs/qh6qZo-BejSNhjrJ/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/findity-docs/qh6qZo-BejSNhjrJ/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/findity-docs/qh6qZo-BejSNhjrJ/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/findity-docs/qh6qZo-BejSNhjrJ/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/findity-docs/qh6qZo-BejSNhjrJ/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get expense - Findity Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Fetch one and only one expense for a user.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Findity Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developer.findity.com/reference/expense/expenses/get-expense\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://findity-docs.mintlify.app/_mintlify/api/og/v2?division=Expenses\u0026amp;title=Get+expense\u0026amp;description=Fetch+one+and+only+one+expense+for+a+user.\u0026amp;theme=481ca75572e3f6c76cafdfbb\u0026amp;signature=e7759acd2b1824c70405c682704186ac4d4bbcd39cdea72f4a0186c0c69d5316\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get expense - Findity Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Fetch one and only one expense for a user.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://findity-docs.mintlify.app/_mintlify/api/og/v2?division=Expenses\u0026amp;title=Get+expense\u0026amp;description=Fetch+one+and+only+one+expense+for+a+user.\u0026amp;theme=481ca75572e3f6c76cafdfbb\u0026amp;signature=e7759acd2b1824c70405c682704186ac4d4bbcd39cdea72f4a0186c0c69d5316\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/findity-docs/qh6qZo-BejSNhjrJ/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Findity Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#012A2D\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developer.findity.com/reference/expense/expenses/get-expense\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/expense/expenses/get-expense.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developer.findity.com/#organization\",\"name\":\"Findity Docs\",\"url\":\"https://developer.findity.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/findity-docs/fTsgC-3N_Y6D9oSZ/images/logo/light.avif?fit=max\u0026auto=format\u0026n=fTsgC-3N_Y6D9oSZ\u0026q=85\u0026s=b7bba7599b80f1ac5c6454a26179858b\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developer.findity.com#website\",\"name\":\"Findity Docs\",\"url\":\"https://developer.findity.com\",\"publisher\":{\"@id\":\"https://developer.findity.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developer.findity.com/reference/expense/expenses/get-expense#webpage\",\"url\":\"https://developer.findity.com/reference/expense/expenses/get-expense\",\"name\":\"Get expense\",\"description\":\"Fetch one and only one expense for a user.\",\"isPartOf\":{\"@id\":\"https://developer.findity.com#website\"},\"breadcrumb\":{\"@id\":\"https://developer.findity.com/reference/expense/expenses/get-expense#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developer.findity.com/reference/expense/expenses/get-expense#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Findity Expense API\",\"item\":\"https://developer.findity.com/reference/expense/user/get-logged-in-user\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Expenses\",\"item\":\"https://developer.findity.com/reference/expense/expenses/list-expenses\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Get expense\",\"item\":\"https://developer.findity.com/reference/expense/expenses/get-expense\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developer.findity.com/reference/expense/expenses/get-expense#apireference\",\"headline\":\"Get expense\",\"name\":\"Get expense\",\"description\":\"Fetch one and only one expense for a user.\",\"url\":\"https://developer.findity.com/reference/expense/expenses/get-expense\",\"mainEntityOfPage\":{\"@id\":\"https://developer.findity.com/reference/expense/expenses/get-expense#webpage\"},\"publisher\":{\"@id\":\"https://developer.findity.com/#organization\"},\"isPartOf\":{\"@id\":\"https://developer.findity.com#website\"}}]}\u003c/script>","siteName":"Findity Docs","nav":{"global":null,"tabs":[{"tab":"Guides","icon":"book-open","pages":[{"title":"Guides","href":"/docs/welcome"}]},{"tab":"API Reference","icon":"code","pages":[{"group":"Authentication","pages":[{"group":"Token","pages":[{"title":"Request access token","deprecated":null,"version":null,"openapi":"/openapi/authentication.json post /oauth/token","href":"/reference/authentication/token/request-access-token"},{"title":"Revoke token","deprecated":null,"version":null,"openapi":"/openapi/authentication.json post /oauth/revoke","href":"/reference/authentication/token/revoke-token"},{"title":"Create authorization for a user","deprecated":null,"version":null,"openapi":"/openapi/authentication.json post /oauth/authorization-grant","href":"/reference/authentication/token/create-authorization-for-a-user"}]},{"title":"Whitelist of IP addresses","href":"/reference/whitelist-of-ip-addresses"}]},{"group":"Findity Expense API","pages":[{"group":"User","root":{"title":"User","href":"/reference/user"},"pages":[{"title":"Get logged in user","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /me","href":"/reference/expense/user/get-logged-in-user"},{"title":"Update logged in user","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json put /me","href":"/reference/expense/user/update-logged-in-user"},{"title":"Update logged in user using fields structure","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json put /me?format=fields","href":"/reference/expense/user/update-logged-in-user-using-fields-structure"},{"title":"Get user profile image","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /me/profileimage","href":"/reference/expense/user/get-user-profile-image"},{"title":"Upload user profile image","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json put /me/profileimage","href":"/reference/expense/user/upload-user-profile-image"},{"title":"Delete user profile image","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json delete /me/profileimage","href":"/reference/expense/user/delete-user-profile-image"},{"title":"Change email or verify code","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json post /me/email","href":"/reference/expense/user/change-email-or-verify-code"},{"title":"Change phone or verify code","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json post /me/phone","href":"/reference/expense/user/change-phone-or-verify-code"},{"title":"Deletes the users phone number","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json delete /me/phone","href":"/reference/expense/user/deletes-the-users-phone-number"},{"title":"Update password of logged in user","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json post /me/password","href":"/reference/expense/user/update-password-of-logged-in-user"},{"title":"Get user extra recipients","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /me/extrarecipients","href":"/reference/expense/user/get-user-extra-recipients"},{"title":"Add extra recipient email or verify code","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json post /me/extrarecipients","href":"/reference/expense/user/add-extra-recipient-email-or-verify-code"},{"title":"Get counters for all organizations that user belongs to","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /me/counters","href":"/reference/expense/user/get-counters-for-all-organizations-that-user-belongs-to"},{"title":"Deletes an extra recipient","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json delete /me/extrarecipients/{extraRecipientId}","href":"/reference/expense/user/deletes-an-extra-recipient"},{"title":"Fetch user settings in fields format","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /me/settings/fields","href":"/reference/expense/user/fetch-user-settings-in-fields-format"},{"title":"Transient update of user settings in fields format","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json put /me/settings/fields","href":"/reference/expense/user/transient-update-of-user-settings-in-fields-format"}]},{"group":"Organizations","pages":[{"title":"Get user organizations","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /me/organizations","href":"/reference/expense/organizations/get-user-organizations"},{"title":"Get a user organization","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /me/organizations/{id}","href":"/reference/expense/organizations/get-a-user-organization"},{"title":"Search chart of accounts","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /me/organizations/{id}/accounts","href":"/reference/expense/organizations/search-chart-of-accounts"},{"title":"List organizations with approver role","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /me/organizations/approvals","href":"/reference/expense/organizations/list-organizations-with-approver-role"},{"title":"Search temporary approver candidates","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /me/organizations/{id}/approvals/users","href":"/reference/expense/organizations/search-temporary-approver-candidates"},{"title":"Search card liabilities","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /me/organizations/{id}/cardliabilitylist","href":"/reference/expense/organizations/search-card-liabilities"},{"title":"Search card owner types","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /me/organizations/{id}/cardownertypes","href":"/reference/expense/organizations/search-card-owner-types"},{"title":"Organization representation types","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /me/organizations/{id}/categories/{categoryId}/representationtypes","href":"/reference/expense/organizations/organization-representation-types"},{"title":"Organization car types","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /me/organizations/{id}/categories/{categoryId}/cartypes","href":"/reference/expense/organizations/organization-car-types"},{"title":"Search countries list","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /me/organizations/{id}/countries","href":"/reference/expense/organizations/search-countries-list"},{"title":"Search currencies list","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /me/organizations/{id}/currencies","href":"/reference/expense/organizations/search-currencies-list"},{"title":"Organization expense types","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /me/organizations/{id}/expensetypes","href":"/reference/expense/organizations/organization-expense-types"},{"title":"Organization expense type","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /me/organizations/{id}/expensetypes/{expenseType}","href":"/reference/expense/organizations/organization-expense-type"},{"title":"Organization categories","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /me/organizations/{id}/expensetypes/{expenseType}/categories","href":"/reference/expense/organizations/organization-categories"},{"title":"Search fuel types list","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /me/organizations/{id}/fueltypes","href":"/reference/expense/organizations/search-fuel-types-list"},{"title":"Search guests","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.json get /me/organizations/{id}/guests","href":"/reference/expense/organizations/search-guests"},{"title":"Search custom field list","deprecated":null,"version":null,"openapi":"/openapi/findity-expense-api.jso
[...]
